#ifndef ROTATION_H
#define ROTATION_H

#include <QObject>
#include <QMessageBox>

#include <libkyfilesec.h>
#include "../codec/kylinimagecodec/kylinimagecodec.h"
class Rotation : public QObject
{
    Q_OBJECT
public:
    explicit Rotation(QObject *parent = nullptr);

    bool rotateAndSaveImage(QStringList imagePaths, bool way);  //图片旋转保存操作

    bool m_movieRotate = true;      //是否可以重新进行动图旋转
    bool m_isClosed = false;        //进度条是否关闭

Q_SIGNALS:
    void imageFinishSig();                                      //单张图片处理完成信号
    void allImageFinishSig();                                   //所有图片处理完成信号

private:

    QStringList m_file_type_list = {"exr", "jfi", "jif", "jp2", "j2k", "jng", "wbmp", "xbm",
                                    "pnm", "tiff","tif", "webp", "bmp", "dib", "png", "jpg", "jpe",
                                    "jpeg", "pbm", "pgm", "ppm", "svg",  "ico", "xpm", "sr",
                                    "gif", "apng", "tga"};    // "psd", "ras",暂不支持
    //图片信息
    QString m_imageFormat;                          //图片格式
    //获取图片格式
    QString m_imageRealFormat;

    bool rotateFun(QString imagePath, bool way);    //图片旋转操作
    bool is_write( QString imagePath);              //是否可写、是否是图片
    bool is_pic_file(QString imagepath);            //是否是支持的图片格式
    Mat processImage(const Mat &mat,  bool &way);
    Mat rotateRightFun(Mat mat);
    Mat rotateLeftFun(Mat mat);
    QString realFormat(const QString &path);        //获取图片类型
    void processStart(const QString &cmd, QStringList arguments);





};

#endif // ROTATION_H
