# Pictures
## Overview
Pictures is an easy-to-use, user-friendly image viewer that supports opening multiple image formats. While viewing the image, you can also edit and process the image simply, and support the functions of image scaling scale selection, adaptive window display, image clipping, image mirror flipping and so on.

<br>

## Opening mode
* "**opening menu**"![](image/1.png)>"**Pictures**"![](image/2.png)；
* Selected image > double-click > Open by default > "**Pictures**"![](image/2.png)；
* Selected image > Right click > "**Opening mode**" > "**Pictures**"![](image/2.png)；
* "**taskbar**" > "**search**"![](image/5.png) > "**Pictures**" ![](image/2.png)> selected"**open**"

<br>

![picture-Day Mode-big](image/7.png)

<br>

![picture-Night Mode-big](image/8.png)

<br>

## Basic operation
### Open picture

​	Open the picture for the first time, click"**load picture**"or click "![](image/9.png)"button and select "**open**" to select and open the image file. After opening the image file, click "![](image/10.png)" in the toolbar to open the sidebar, which displays the thumbnail of the image. Selecting the "+" button in the sidebar can also open other images.

<br>

### View picture

​	After opening the image, the interface only displays the current image and the sidebar when the cursor does not stay.

<br>

![picture-Cursor does not stay-big](image/11.png)

<br>

​	When the cursor stays on the interface, the image name, toolbar and the button to switch images are displayed.

​	Click "![](image/12.png)" to switch the previous image, click "![](image/13.png)" to switch the next image, or click the thumbnail in the sidebar to switch the image. Shortcut keys can also be used to switch and delete images. Shortcut keys and corresponding functions are shown in the following table:

| Shortcut key |       function        |
| ------------ | --------------------- |
|      ←       |       Previous        |
|      →       |         Next          |
| Shift + Del  | Delete to recycle bin |

<br>

![picture-Cursor stay-big](image/14.png)

<br>

​	Click "![](image/15.png)" in the toolbar to view the image details, including name, format, size, color space and modification time.

<br>

![picture-View image information-big](image/16.png)

<br>

### Picture Options

​	Right click the image to pop up the menu bar, which provides the function options of image copy, print, delete, save as, rename, set as desktop wallpaper, and display in folder.  

​	Select "copy" to copy the image to the clipboard; Select "print" to send the image to the printer for printing; Select "delete" to delete the current image to the recycle bin; Select "Rename" to edit the current image file name; Select "show in folder" to open the folder location of the image. In addition, you can set the image format supported by desktop wallpaper as desktop wallpaper.

<br>

![Right click menu bar-big](image/17.png)

<br>

### Edit Picture

​	The toolbar mainly provides some operations for images, including reducing the view, enlarging the view, adapting to the window, rotating to the right, horizontal mirroring, clipping, OCR, viewing image information, displaying / hiding the sidebar, and deleting images.

<br>

![View toolbar-big](image/20.png)

<br>

Function description of Drawing toolbar

| Secondary menu    | function             | describe                         |
| ----------------- | -------------------- | -------------------------------- |
| ![](image/21.png) | Adjust attempt ratio | Zoom in and out of the image     |
| ![](image/22.png) | Fit window           | Adjust image to fit window       |
| ![](image/23.png) | Original size        | Display image in full size       |
| ![](image/24.png) | Rotate right         | Image rotates 90 ° clockwise     |
| ![](image/25.png) | Horizontal mirror    | Flip image horizontally          |
| ![](image/26.png) | mirror vertically    | Flip image vertically            |
| ![](image/27.png) | Clipping             | Custom clip image                |
| ![](image/31.png) | OCR                  | Identify the text in the picture |
| ![](image/28.png) | sidebar              | Turn the sidebar on / off        |
| ![](image/29.png) | information          | View image information           |
| ![](image/30.png) | delete               | Delete image to recycle bin      |

<br>

### OCR

The image supports OCR recognition, and the text in the image is recognized as text. After opening the picture, click the "![](image/31.png)" icon on the toolbar to start recognition. After recognition, it will be displayed on the right. It supports exporting the recognized text to txt format documents.

<br>

![OCR is recognizing-big](image/32.png)

![OCR completed-big](image/33.png)

<br>

### Help and About

​	Click "![](image/18.png)" in the upper right corner of the interface to open the picture viewing menu bar, select the option of "**open**" to select and open the image file, select "**help**" to automatically jump to the user manual to view the operating instructions of the tool, select "**about**" to view the current version information, and select "**exit**" to close and exit the application.

<br>

![View menu bar-big](image/19.png)

