# 看 图
## 概述
看图是一款简单易用，界面友好，支持打开多种图像格式的图像查看器。在查看图像的同时，还可以对图像进行简单的编辑和处理，支持图像缩放比例选择、自适应窗口显示、图像裁剪、图像镜像翻转等功能。

<br>

## 打开方式
* “**开始菜单**”![](image/1.png)>“**看图**”![](image/2.png)；
* 选中图像 > 双击 > 默认打开 > “**看图**”![](image/2.png)；
* 选中图像 > 右键单击 > “**打开方式**” > “**看图**”![](image/2.png)；
* “**任务栏**” > “**搜索**”![](image/5.png) > “**看图**” ![](image/2.png)> 选择“**打开**”  。

<br>

![看图-日间模式-big](image/7.png)

<br>

![看图-夜间模式-big](image/8.png)

<br>

## 基本操作
### 打开图片

​	首次打开看图，点击“**载入图片**”或者点击“![](image/9.png)”按钮后选择“**打开**”选择并打开图像文件。打开图像文件后，点击工具栏中的“![](image/10.png)”可以打开侧边栏，侧边栏展示了图像的缩略图，选择侧边栏中的“+”按钮也可以打开其他图像。  

<br>

### 查看图片

​	打开图像后，光标无停留时界面仅显示当前图像和侧边栏。

<br>

![看图-光标无停留-big](image/11.png)

<br>

​	光标停留在界面时显示图像名、工具栏以及切换图像的按钮。

​	点击“![](image/12.png)”切换上一张图像，点击“![](image/13.png)”切换下一张图像，或者点击侧边栏中的缩略图切换图像。使用快捷键也可以进行切换、删除图像的操作。快捷键及对应功能如下表所示：  

|    快捷键    |     功能   |
| ----------- | ---------- |
|      ←      |   上一张    |
|      →      |   下一张    |
| Shift + Del | 删除到回收站 |

<br>

![看图-光标停留-big](image/14.png)

<br>

​	点击工具栏中的“![](image/15.png)”可以查看图像详细信息，包括名称、格式、大小、尺寸、颜色空间及修改时间。

<br>

![看图-查看图像信息-big](image/16.png)

<br>

### 图片选项

​	右键单击图像会弹出选项菜单栏，提供图像的复制、打印、删除、另存为、重命名、设置为桌面壁纸、在文件夹中显示的功能选项。

​	选择“复制”可将图像复制到剪切板；选择“打印”可将图像发送给打印机进行打印；选择“删除”可将当前图像删除到回收站；选择“重命名”可对当前图像文件名进行编辑；选择“在文件夹中显示”可打开图像所在文件夹位置。另外还可以将桌面壁纸支持的图像格式设置为桌面壁纸。

<br>

![右键菜单栏-big](image/17.png)



<br>

### 编辑图片
​	工具栏主要提供一些图像视图选项和图像编辑操作，包括：缩小视图、放大视图、适应窗口、向右旋转、水平/垂直镜像、剪裁、OCR、查看图像信息、显示/隐藏侧边栏、删除图像。

<br>

![看图工具栏-big](image/20.png)

<br>

看图工具栏功能说明

| 二级菜单 | 功能 | 描述 |
| ------- | ----| ----|
| ![](image/21.png) | 调整试图比例 |  放大、缩小图像  |
| ![](image/22.png) |   适应窗口  | 调整图像适应窗口  |
| ![](image/23.png) |    原尺寸   | 以原尺寸显示图像  |
| ![](image/24.png) |   向右旋转  | 图像顺时针旋转90° |
| ![](image/25.png) |   水平镜像  |   水平翻转图像   |
| ![](image/26.png) |   垂直镜像  |   垂直翻转图像   |
| ![](image/27.png) |    剪裁   | 自定义剪裁图像 |
| ![](image/31.png) |    OCR    | 文字识别  |
| ![](image/28.png) |   侧边栏    |  打开/关闭侧边栏 |
| ![](image/29.png) |    信息     |  查看图像信息   |
| ![](image/30.png) |    删除     | 删除图像至回收站 |

<br>

### OCR识别

​	看图支持OCR识别，将图中的文字识别成文本。打开图片后，点击工具栏的“![](image/31.png)”图标，即可开始识别，识别完成后会显示在右侧，支持将识别出的文本导出为txt格式文档。<br>

![OCR正在识别-big](image/32.png)

![OCR识别完成-big](image/33.png)

<br>

## 帮助和关于

​	点击界面右上角“![](image/18.png)”可以打开看图菜单栏，选择“**打开**”选项可以选择并打开图像文件，选择“**帮助**”将自动跳转至用户手册中，可查看该工具的操作说明，选择“**关于**”可查看当前版本信息，选择“**退出**”即关闭并退出应用。  

<br>

![看图菜单栏-big](image/19.png)
